# std::filesystem::directory_iterator::operator*, std::filesystem::directory_iterator::operator->

From cppreference.com
< cpp‎ | filesystem‎ | directory iterator

const directory_entry& operator*() const; const directory_entry* operator->() const; |  | (since C++17)

Accesses the pointed-to `directory_entry`.

The result of `operator*` or `operator->` on the end iterator is undefined behavior.

### Parameters

(none)

### Return value

1) Value of the `directory_entry` referred to by this iterator
2) Pointer to the `directory_entry` referred to by this iterator

### Exceptions

(none)

### See also

operator*operator-> | accesses the pointed-to entry (public member function of `std::filesystem::recursive_directory_iterator`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_iterator/operator*&oldid=105022"